import clsx from "clsx";
import type { PropsWithChildren } from "react";

export interface ActionBoxProps {
  title: string;
  description: string;
  className?: string;
}

export function ActionBox({
  title,
  description,
  children,
  className,
}: PropsWithChildren<ActionBoxProps>) {
  return (
    <div
      className={clsx(
        "fs-flex fs-gap-4 fs-flex-col sm:fs-flex-row sm:fs-justify-between sm:fs-items-center fs-bg-grey-200 fs-px-5 sm:fs-px-6 fs-py-8 fs-my-8",
        className,
      )}
    >
      <div className="fs-flex-1">
        <h3 className="fs-font-plex fs-text-2xl fs-font-bold fs-text-grey-900 fs-not-prose">
          {title}
        </h3>
        <p className="fs-font-plex fs-font-normal fs-text-grey-900 fs-text-sm fs-mt-2">
          {description}
        </p>
      </div>
      {children && (
        <div className="fs-flex sm:fs-justify-end fs-gap-2 sm:fs-gap-3 fs-mt-6 sm:fs-mt-0">
          {children}
        </div>
      )}
    </div>
  );
}
