import { IHamburger } from "@interfaces/IHeader";
import clsx from "clsx";

export function HamburgerButton({ onClick, light }: IHamburger) {
  const spanClasses = clsx(
    "fs-block fs-h-0.5 fs-absolute fs-w-full fs-duration-300",
    light ? "fs-bg-white" : "fs-bg-grey-900",
  );
  const spanBeforeClasses = clsx(
    "before:fs-content-[''] before:-fs-top-1.5 before:fs-block before:fs-h-0.5 before:fs-absolute before:fs-w-full before:fs-duration-300",
    light ? "before:fs-bg-white" : "before:fs-bg-grey-900",
  );
  const spanAfterClasses = clsx(
    "after:fs-content-[''] after:fs-top-1.5 after:fs-block after:fs-h-0.5 after:fs-absolute after:fs-w-full after:fs-duration-300",
    light ? "after:fs-bg-white" : "after:fs-bg-grey-900",
  );
  const spanCheckedClasses =
    "group-peer-checked:fs-rotate-45 group-peer-checked:fs-bg-white group-peer-checked:before:fs-top-0 group-peer-checked:before:fs-rotate-0 group-peer-checked:before:fs-bg-white group-peer-checked:after:fs-top-0 group-peer-checked:after:fs-rotate-90 group-peer-checked:after:fs-bg-white";
  return (
    <div className="fs-relative lg:fs-hidden fs-p-4 fs-transition-all fs-ease-in-out fs-duration-500">
      <input
        id="hamburger"
        className="fs-peer fs-absolute fs-size-full fs-inset-0 fs-opacity-0"
        type="checkbox"
        onClick={onClick}
      />
      <label
        className="fs-group fs-flex fs-items-center fs-w-5 fs-h-3 fs-absolute fs-cursor-pointer fs-top-1/2 fs-left-1/2 -fs-translate-x-1/2 -fs-translate-y-1/2"
        htmlFor="hamburger"
      >
        <span
          className={clsx(
            spanClasses,
            spanBeforeClasses,
            spanAfterClasses,
            spanCheckedClasses,
          )}
        ></span>
      </label>
    </div>
  );
}
