import clsx from "clsx";
import LiteYouTubeEmbed from "react-lite-youtube-embed";
import "react-lite-youtube-embed/dist/LiteYouTubeEmbed.css";

export interface YoutubeEmbedProps {
  videoId: string;
  className?: string;
  title?: string;
}

export function YoutubeEmbed({
  videoId,
  className,
  title = "YouTube Video",
}: YoutubeEmbedProps) {
  return (
    <div
      className={clsx(
        "fs-relative fs-h-auto fs-w-full fs-aspect-video",
        className,
      )}
    >
      <LiteYouTubeEmbed
        id={videoId}
        title={title}
        cookie={false}
        poster={"maxresdefault"}
      />
    </div>
  );
}
