import { Breadcrumbs } from "@components/Breadcrumbs";
import { Home as HomeIcon } from "@carbon/icons-react";
import { Story, StoryDefault } from "@ladle/react";

const CRUMBS = [
  {
    target: "/level1",
    title: "Level 1",
    icon: <HomeIcon />,
  },
  {
    target: "/level2",
    title: "Level 2",
  },
  {
    target: "/level3",
    title: "Level 3",
  },
];

const CRUMBS2 = [
  {
    target: "/level1",
    title: "Level 1",
  },
  {
    target: "/level2",
    title: "Level 2",
  },
  {
    target: "/level3",
    title: "Level 3",
  },
];
const CRUMBS3 = [
  {
    target: "/level1",
    icon: <HomeIcon />,
  },
  {
    target: "/level2",
    icon: <HomeIcon />,
  },
  {
    target: "/level3",
    icon: <HomeIcon />,
  },
];

const CRUMBS4 = [
  {
    target: "/level1",
    title: "Level 1",
    icon: <HomeIcon />,
  },
  {
    target: "/level2",
    title: "Level 2",
  },
  {
    target: "/level3",
    title: "Level 3",
    icon: <HomeIcon />,
  },
];

interface BreadcrumbsConfigProps {
  separator?: string;
}

export const BreadcrumbsStory: Story<BreadcrumbsConfigProps> = ({
  separator,
}: BreadcrumbsConfigProps) => (
  <div className="fs-flex fs-flex-col fs-gap-5">
    <Breadcrumbs crumbs={CRUMBS} separator={separator} />
    <Breadcrumbs crumbs={CRUMBS2} separator={separator} />
    <Breadcrumbs crumbs={CRUMBS3} separator={separator} />
    <Breadcrumbs crumbs={CRUMBS4} separator={separator} />
  </div>
);

BreadcrumbsStory.args = {
  separator: "/",
};
export default {
  title: "Molecules",
} satisfies StoryDefault;

BreadcrumbsStory.storyName = "Breadcrumbs";
BreadcrumbsStory.meta = {
  descriptionTitle: "Breadcrumbs",
  description:
    "Breadcrumbs are typical used for navigation a hierarchical structure (e.g. nested pages of a website). Every breadcrumb element can also display an icon.",
};
