import { HeroSection } from "@components/HeroSection";
import type { Story, StoryDefault } from "@ladle/react";
interface HeroSectionStory {
  title: string;
  description: string;
}

const categories = [
  {
    id: 1,
    title: "Fab City HH",
  },
  {
    id: 2,
    title: "Makerspaces",
  },
];

export const HeroSectionStory: Story<HeroSectionStory> = ({
  title,
  description,
}: HeroSectionStory) => (
  <HeroSection
    src="https://picsum.photos/id/1026/1600/900"
    title={title}
    description={description}
    categories={categories}
    transparentOnMobile={true}
    imageTag="@Copyright"
  />
);

HeroSectionStory.args = {
  title: "",
  description: "",
};

export default {
  title: "Molecules",
} satisfies StoryDefault;

HeroSectionStory.storyName = "Hero Section";
HeroSectionStory.meta = {
  descriptionTitle: "Hero Section",
  description:
    "A Hero section is a composite of a wide/hero image, optionally with a Hero Box on top of it. It is used as a top section in website layouts/templates.",
};
