import { SubFooter } from "@components/SubFooter";
import SubFooterImg from "@assets/images/SubFooterImg_01.svg";
import type { Story } from "@ladle/react";

interface SubFooterConfigProps {
  position: "left" | "center" | "right";
}

/* eslint-disable react/prop-types */
export const SubFooterStory: Story<SubFooterConfigProps> = ({ position }) => (
  <SubFooter src={SubFooterImg} alt="Sub Footer Image" position={position} />
);
export default {
  title: "Organisms",
};

SubFooterStory.args = {
  position: "right",
};

SubFooterStory.argTypes = {
  position: {
    options: ["left", "center", "right"],
    control: { type: "select" },
  },
};

SubFooterStory.storyName = "Sub Footer";
